List workspaces
curl --request GET \
--url https://api.app.layer.ai/api/v1/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.layer.ai/api/v1/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.layer.ai/api/v1/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspaces": [
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"balance_creative_units": 123,
"reserved_creative_units": 123,
"available_creative_units": 123,
"last_active_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"has_more_results": true,
"next_cursor": "<string>",
"total_count": 123
}
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}Workspaces
List workspaces
List all workspaces the authenticated user belongs to, with Creative Units balance details.
GET
/
v1
/
workspaces
List workspaces
Authorizations
Personal Access Token or OAuth2 JWT. Create a PAT at app.layer.ai → Settings → Personal Access Tokens.
Query Parameters
Maximum number of results to return.
Required range:
1 <= x <= 100Cursor from a previous response to get the next page.
⌘I